import request from '@/utils/request'

// 查询生产工单列表
export function listProductOrder(query) {
  return request({
    url: '/mes/productOrder/list',
    method: 'get',
    params: query
  })
}

// 查询生产工单详细
export function getProductOrder(productOrderId) {
  return request({
    url: '/mes/productOrder/' + productOrderId,
    method: 'get'
  })
}

// 获取工单编号
export function getOrderCode() {
  return request({
    url: '/mes/productOrder/getOrderCode',
    method: 'get'
  })
}

// 新增生产工单
export function addProductOrder(data) {
  return request({
    url: '/mes/productOrder',
    method: 'post',
    data: data
  })
}

// 修改生产工单
export function updateProductOrder(data) {
  return request({
    url: '/mes/productOrder',
    method: 'put',
    data: data
  })
}

//锁库存
export function productOrderLockInventory(data) {
  return request({
    url: '/mes/productOrder/productOrderLockInventory',
    method: 'post',
    data: data
  })
}

//发布
export function productOrderPublish(data) {
  return request({
    url: '/mes/productOrder/productOrderPublish',
    method: 'post',
    data: data
  })
}

//撤回
export function productOrderRecall(data) {
  return request({
    url: '/mes/productplan/productOrderRecall',
    method: 'post',
    data: data
  })
}

// 删除生产工单
export function delProductOrder(productOrderId) {
  return request({
    url: '/mes/productOrder/' + productOrderId,
    method: 'delete'
  })
}

// 校验BOM是否被生产工单选择
export function verifyBOMIsProduction(materialBomId) {
  return request({
    url: '/mes/productOrder/verifyBOMIsProduction/' + materialBomId,
    method: 'get'
  })
}
